Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class PolicyControlledObjectCollectionImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectCollectionImpl

All Implemented Interfaces:
  Localizable, PolicyControlledObjectCollection, Serializable

    public class PolicyControlledObjectCollectionImpl

extends WrappedProtegeInstanceImpl
implements PolicyControlledObjectCollection

See Also:
  Serialized Form

Constructor Summary
`PolicyControlledObjectCollectionImpl(MetaProjectImpl mp, Instance i)`

Method Summary
`String` | `getName()`
`void` | `setName(String name)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, equals, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, hashCode, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyControlledObjectCollectionImpl

    public PolicyControlledObjectCollectionImpl(MetaProjectImpl mp,
                                                Instance i)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `PolicyControlledObjectCollection`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `PolicyControlledObjectCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.